Softwares y Versiones disponibles

Tabla de Referencia Rápida:

Apache

2.2.21

PHP

5.2.17 e 5.3.14

(funciona en paralelo)

Perl

5.8.8

MySQL

5.5.21 o superior

cPanel

11.32.x – actualizado automaticamente

GD / Image Magic

6.6.3

  • Sistema operativo: Linux x86 CentOS 6.x (64 bit) – versión gratuita del RedHat.
  • Kernel: última versión estable, actualizado segun necesidad.
  • Procesadores: Quad Core Dual Xeon E5520 2.26 GHz.
  • Apache 2.2.x (incluye mod_rewrite e mod_security) en ambiente SuExec.
  • Envio de email (SMTP): Exim.
  • Receptor de email (POP3 e IMAP): Dovecot
  • cPanel 11.32.x.
  • PHP 5.2.x e 5.3.x; o PHP corre como CGI (y no Apache/DSO) en ambiente suPHP.
  • Zend Optimizer 3.3.9
  • PEAR 1.7.x
  • ionCube 3.3.20, ionCube Loader 4.0.12
  • GnuPG 1.2.6
  • GD2 Library 2.0.34
  • openSSL 0.9.8o
  • SOAP
  • Modulos PHP.
  • phpMyAdmin 3.2.4.
  • Base de datos MySQL 5.5.x.
  • ROR Ruby 1.8.7, Gem 1.4.2, Rails 2.3.14.
  • cURL 7.15.x (asi como el libcurl y PHP/CURL).
  • PERL 5.8.x, Biblioteca PCRE 7.8.
  • Python 2.4 e 2.7 (corre paralelamente).
  • ImageMagick 6.6.x.
  • Ghostscript 8.15.x.
  • Rsync.
  • RoundCube 0.2b, SquirrelMail 1.4.13, Horde 3.1.7p8.
  • Parallels SiteBuilder 4.5.0.
  • Scripts do Fantastico Deluxe y QuickInstall: Blogs (ej.: WordPress), CMS (ej.: Drupal e Joomla), Forums (ej.: phpBB), Tiendas Virtuales (ej.: Magento), Galerias de Imagenes, Mailing Lists PHP, Constructores de Sitios, Aplicativos de Wiki etc.

 

Habilitando el PHP 5.3 o superior en tu sitio

Todos nuestros servidores soportan tanto el PHP 5.2 como el PHP 5.3.

La versión por defecto es el 5.2.x, pero usted puede seguir los siguientes pasos para habilitar la versión 5.3.x del PHP.

Antes de hacer los cambios bebe tener en cuenta que es posible que ocurran problemas de compatibilidad, pues los códigos más antiguos pueden no ser compatibles con las nuevas versiones del PHP.

Tenga esto en mente: habilitar el PHP 5.3 romperá cualquier sitio que necesiten del Zend o ioncube que hayan sido codificados con el PHP 5.2. Recomendamos que usted verifique con el des arrollador de la aplicación si existe una versión para el PHP 5.3 disponible.

Como habilitar PHP 5.3

Para poder habilitar la versión del PHP 5.3 siga estas instrucciones.

Actualmente tenemos instalados en nuestros servidores el PHP 5.3.10 (o superior).

Para poder habilitar la versión 5.3 del php es necesario usar un handler (control), esto usted deberá activarlo en su cuenta.

Para hacer uso de ese handler añada el siguiente código al archivo .htaccess.

# Habilitar el PHP 5.3 
AddType application/x-httpd-php53.php
# Habilitar el PHP 5.4 
AddType application/x-httpd-php54.php
# Habilitar el PHP 5.5 
AddType application/x-httpd-php55.php

Usted puede editar el archivo .htaccess directamente en en el cPanel utilizando el administrador de archivos o también via FTP.

Django con FastCGI

Django con FastCGI

Django se puede instalar en un entorno compartido sólo si utiliza FastCGI. Nota : Necesitará el módulo Flup y Django instalado. Los servidores dedicados pueden utilizar estas instrucciones, pero compartida y planes de revendedor ya tienen estos módulos instalados. En primer lugar, tenemos que instalar el módulo Flup y Django . Podemos utilizar easy_install para hacerlo.

Ejecute el comando:

easy_install flup 
easy_install django

Usted no tiene easy_install en su servidor?

 1. Acesse http://pypi.python.org/pypi/setuptools # archivos  y descargue el egg apropriado para su versión del Python ,

2. Ejecutarlo como si se tratara de una secuencia de comandos :

sh setuptools-0.6c11-py2.4.eg

 

Setuptools se instala utilizando la versión correspondiente a Python ( generalmente python2.4 ), y se coloca el easy_install ejecutable en el local de estándar para la instalación de secuencias de comandos de Python .

Volver a la parte superior de esta página tratar de ejecutar las dos líneas de easy_install , otra vez .


Nota : Esta siguiente parte se puede hacer por cualquier usuario que tiene acceso SSH Esto incluye planes ompartidos reventa y los servidores dedicados. 

Creación de un nuevo proyecto de Django cargar su proyecto existente (no se muestra) Podría ser una buena idea para crear un proyecto ficticio sólo para tener una base para las pruebas de su instalación. 

Para iniciar un nuevo proyecto ejecute los siguientes comandos:

django newproject startproject-admin.py 
newproject cd 
chmod + x manage.py 
. / newapp startapp manage.py

Nota : Esta última parte se puede hacer por cualquier usuario que tiene acceso SSH planea Esto incluye compartido de reventa y servidores dedicados.

Crea el archivo index.fcgi  y colóquela dentro de su directorio www public_html en el directorio de trabajo  que esté utilizando Cambie los permisos del archivo para 0755 . Siguiente editar el archivo y insertar el siguiente código :

#! / Usr / bin / python 
import sys, os 

# Añadir una ruta Python personalizado. (Opcional) 
sys.path.insert (0, “/ home / nombre de usuario “) 

# cambiar al directorio de su proyecto. 
os.chdir (“/ home / nombre de usuario / newproject “) 

# Configure el DJANGO _SETTINGS_MODULE variable de entorno. 
os. ambiente [‘ DJANGO _SETTINGS_MODULE ‘] = “newproject.settings” 

de Django . core.servers.fastcgi runfastcgi importación 
runfastcgi (method = “rosca”, daemonize = “false”)

El código de arriba funciona para cualquier persona que, literalmente, seguido de los comandos antes de instalar Django crear un nuevo proyecto. Si usted cambió el nombre del proyecto directorio, usted va a necesitar para hacer los mismos cambios en el código más arriba 

Finalmente aquí son las reglas para su archivo htaccess . (reescribir las reglas) que pertenecen al mismo directorio que el archivo nuevo index.fcgi .

AddHandler fcgid-script. Fcgi 
RewriteEngine En 
RewriteCond% {} REQUEST_FILENAME!-f 
RewriteRule ^ (. *) $ index.fcgi / $ 1 [QSA, L]

Nota : Si usted tiene más de una instalación de Python usted puede necesitar para especificar que usted está instalando los setuptools . 

Así es como para resolver el problema de SSH:

wget http://peak.telecommunity.com/dist/ez_setup.py 
/ usr / bin / python ez_setup.py 
/ usr / bin / easy_install django flup == 1.0.2

 

Django con FastCGI

Django con FastCGI

Si bien es posible instalar Django en los servidores de WhP, no es una aplicación soportada, y no somos capaces de instalar por usted. Se recomienda que tenga un desarrollador disponible para ayudarle con cualquier problema que pueda surgir durante la instalación o uso de este software.

Dedicado y VPS Requisitos previos

Usted necesitará el módulo FLUP instalar Django. Compartido y planes de revendedor ya tiene el módulo instalado. Sin embargo, VPS y clientes dedicados necesitarán instalar este módulo antes de instalar Django. Puede instalar FLUP ejecutando el siguiente comando shell:

easy_install flup

Instalación de Django

Si va a instalar en un servidor dedicado o VPS puede instalar Django ejecutando el siguiente comando shell:

easy_install django

Para las cuentas compartidas o revendedor, usted tendrá que realizar una instalación manual:

  1. Descarga la última versión del oficial de Django página de descarga .
  2. Descomprima el archivo descargado. Esto creará un nuevo directorio.
  3. Cambio en el directorio creado en el paso anterior.
  4. Ejecute el siguiente comando shell para completar la instalación de Django.
python setup.py install

La creación de proyectos de Django

Con el fin de crear un nuevo proyecto de Django, sólo tiene que ejecutar estos comandos en sustitución newproject con el nombre del directorio que desea que el proyecto se ejecute a partir de:

newproject startproject django-admin.py 
cd newproject 
. / newapp startapp manage.py

La gestión de su proyecto

Con el fin de gestionar su proyecto, usted tendrá que configurar un archivo de índice que se puede acceder desde el navegador.

  1. Crear index.fcgi y colocarlo dentro de su directorio public_html, o la raíz del documento que usted desea.
  2. Cambie los permisos del archivo de 0755.
  3. Edite el fichero y escriba este código:
#! / Usr / bin / python 
importación sys , os 

# Añadir una ruta Python personalizado. (Opcional) 
sys . ruta . insertar ( 0 , "/ home / nombre de usuario " ) 

# cambiar al directorio de su proyecto. 
os . chdir ( "/ home / nombre de usuario / newproject " ) 

# Configure el entorno DJANGO_SETTINGS_MODULE



Por favor Nota: El código de arriba es solo un ejemplo, y usted tendrá que modificar los nombres de las rutas especificadas para que coincida con su configuración. (Por ejemplo, cambiar ” nombre de usuario “a su nombre de usuario cPanel, etc)
  1. Agregue los siguientes . htaccess reglas de reescritura en el archivo htaccess. en el mismo directorio que el archivo nuevo index.fcgi.
AddHandler fcgid - guión . fcgi 
RewriteEngine En 
RewriteCond % { REQUEST_FILENAME } - f 
RewriteRule (. *) ^ índice $ . fcgi / $ 1 [ QSA , L ]

Instalaciones múltiples Python

Si usted tiene más de una instalación de python, puede que tenga que especificar para qué se va a instalar setuptools. Esto parece ser sólo es necesaria para los revendedores.Para resolver el problema, sólo tiene que ejecutar lo siguiente desde la línea de comandos:

wget http://peak.telecommunity.com/dist/ez_setup.py 
/ usr / bin / python ez_setup.py 
/ usr / bin / easy_install django flup == 1.0.2

Compatibilidad y disponibilidad de algunos servicios y tecnologias

 

Leyenda:
Sim = Compatible.
Não = Incompatible.
Windows = Compatible sólo con servidores Windows.
Linux = Compatible sólo con servidores Linux.
Suporte = Nuestro soporte deberá habilitar ese servicio. Por favor envie un email para info@webhostparaguay.com

 

Servicios y técnologias Compartido/ Reventa
Instalación de temas de terceros en el cPanel No
Ad Server No
Adspy Sites No
Ajax Yes
Archivos de alias, aliases Yes
aMember Pro Yes
Apache 2 LINUX
Apache Flex No
Apple, iWeb, Mac Mail Yes
APS Vault, Application Vault (incluido) No
ASP Classic / Active Server Pages [VBScript y JScript soportados] (incluido) No
ASP.NET 1.1 [ASPX] (disponible solo con Server 2003) No
ASP.NET 2.0 e 3.5 [ASPX] (incluido) No
ASP.NET 4.0 [ASPX] (incluido em nuevos planes, Server 2008) Não
ASP.NET Trust Level Não
aspell, pspell Yes
Autolearn, autossh No
AWstats (incluido) Yes
AWstats includes TIX
browscap, browscap.ini No
C, C++, GCC, C Compiler No
C#, C sharp No
Cake CakePHP Yes
Clam AV No
CentOS 6.x (incluido) LINUX
Clip Share / File Sharing No
Code signing No
Cold Fusion, coldfusion
(Usted compra la instalación y licencia)
No
Servicioss de Colocation No
Archivos comprimidos (.rar* .zip .tar.gz .bz2) Yes
concrete5 Yes
cPanel LINUX
cPanel Pro No
CRE Loaded Sites Yes
CRE Loader
(no está incluido, pero usted puede instalar)
Yes
Tareas cron, Cron jobs (incluido) Yes
Crypt SSLeay TIX
CS-Cart Yes
cURL, libcurl, PHP/CURL (incluido) Yes
Cyberduck FTP Yes
DBI Module Yes
Delavo Yes
dimdim No
Desabilitar la diretiva open_basedir del PHP Yes
Django (compartidos: requiere FastCGI) Yes
dl() function No
Dolphin 7
(Usted provee la instalación y licencia)
No
DLL, Dynamic-link library, Libreria de vínculo dinámico No
Ray, Orca, & versiones antiguas del Dolphin (Boonex.com) Yes
DotNet, dot net, .net No
DotNetNuke No
Drupal (incluido) Yes
Dundas No
e107 Yes
eAccelerator No
eGroupWare Yes
elgg Yes
emacs, vi (requiere SSH) Yes
Email Piping Yes
ExpressionEngine Yes
Fantastico De Luxe (incluido) Yes
fastCGI Yes
FFmpeg No
Flash, FLV
(Requiere Adobe Flash Player para visualización)
Yes
Flash Media Server FMS No
Flash Remoting usando el AMFPHP Yes
Flv2tool No
formail Yes
formmail Yes
fopen Yes
FreeBSD, Debian, Ubuntu (la responsabilidad por estos sitemas es del cliente) No
Extenciones de FrontPage, FrontPage extensions
(incluido en los compartidos y dedicados Linux; disponible bajo demanda en el Server 2008 R1)
Yes
fsockopen Yes
FXP No
Servidores de juegos No
GCD Google Cash Detective No
GD2 Library (incluido) Yes
get, wget TIX
Ghostscript Yes
Cliente Git Yes
Servidor Git, Git server No
GNOME / KDE (usted instala) No
GnuPG Yes
Google Adsense & Adwords Yes
Google Apps & Email Yes
GZip Yes
HIPAA compliance, añadido a HIPPA No
HTML (Hyper Text Markup Language) Yes
HTTP Digest Authentication, Autenticación HTTP Digest No
HTTP keep-alive Yes
HTTP Streaming (áudio/vídeo) Yes
Header HTTP If-Modified-Since Yes
ihtml No
IIS No
ImageMagick, Image Magick (incluido) Yes
IMAP Yes
imap_open Yes
innoDB Yes
ionCube Loader, decoder Yes
IPsec No
IRC No
Java, .jsp, Tomcat No
JavaServer Faces (JSF) No
javascript, JSON, JSE Yes
JIRA No
Joomla (incluido) Yes
JRE, JVM No
Kayako Yes
KVM No
LAME MP3 Encoder No
Latex (no hay soporte para el binario) Yes
LDAP, openldap No
lib_curl Yes
Libogg + Libvorbis No
Live streaming (diferente de HTTP streaming), web cam, radio, broadcast de TV No
Load balancing, Balance de carga No
lynx TIX
Magento Yes
E-mail – Exim Yes
E-mail – outros MTAs (ex.: postfix) No
memcached No
Microsoft Access No
Microsoft Exchange (no requiere mas AD) No
Microsoft SQL Server / MSSQL 2008 R2 Express (incluido) No
Microsoft SQL Server SQLSRV driver para PHP [permite que el PHP conecte al MS SQL] (incluido) No
Midnight Commander, MC No
MING PHP Module No
Miva empresa No
mod_deflate Yes
mod_layout No
mod_mime Yes
mod_pagespeed No
mod_perl, mod_python, mod_gzip, mod_sql_auth, mod_ruby No
mod_rewrite, mod_speling
(es necesario activar en el .htaccess)
Yes
mod_security, mod_sec TIX
mokoala Yes
Mono No
Moodle Yes
mpeg2enc TIX
Mplayer + MEncoder No
MVC (para ASP.NET) – opción FTP No
MVC (para ASP.NET) – opción Publish No
MySQL 5 (incluido) Yes
MySQLi Yes
MySQL Clustering No
nginx No
NNTP / Usenet No
nulled scripts (prohibido por nuestas bases y condiciones) No
NuSphere PhpExpress No
OLSB, OLP No
Aplicación de Chat Online Yes
Módulos de cache Opcode, XCache, php APC No
openSSL 0.9.8o Yes
Oracle No
paFileDB Yes
ParaChat No
PCI Compliance (incluido) Yes
Expresiones regulares compatibles con PCRE Perl Yes
PDFlib (requiere licencia comercial) No
PDFtk No
PDO or pdo_mysql Yes
Pear MDB2 TIX
Módulos PEAR
Yes
PennyWize No
Perl 5, Python 2, CGI, CPAN (todos incluidos) Yes
PHP 5 (incluido) Yes
php iconv Yes
Módulos PHP e PECL Yes
PHP shell_exec Yes
PHP tokenizer Yes
PHPArcadeScript, phpas Yes
phpFox, php fox Yes
phpmotion, php motion No
PHP Multibyte String Yes
phpMyAdmin (incluido) Yes
Pinemail / Pine Mail No
Plesk No
Podcast Yes
POP3 (incluso) Yes
PostgreSQL, Informix, Sybase Solid, Generic ODBC No
postini Yes
PrestaShop Yes
procmail Yes
Proxy Server, Socket Server, SOCKS 4, 4a, 5 No
Push Email No
quickbooks No
QuickInstall (incluido) Yes
Rapid Leech, RapidShare No
Red5 No
Remote Desktop, RDP No
RHEL Red Hat Enterprise Linux No
RoR/Ruby on Rails (incluido) Yes
Round Robin DNS No
Feeds RSS Yes
rsync Yes
Certificación Safe Harbor (incluido) Yes
sem_get No
Sendgrid SMTP [enviar email por los servidores SMTP de Sendgrid, utilizando script] (Observación: la web API del Sendgrid puede ser usada en Compartidos o Revendas, pero no fue probada hasta el momento) No
Ajustes en el reloj del servidor No
Redundancia de servidor No
session_gc, probability, divisor, maxlifetime No
SetupTools Yes
SSL compartido Yes
sharepoint, share point server (requiere licencia) No
Carritos de compra Yes
shtml, SSI, includes server side (todos incluidos) Yes
ShoutCast, Icecast No
SimpleXML Yes
Parallels SiteBuilder, Parallels Site Builder (incluido, bajo pedido) Yes
SiteStudio, Site Studio No
Smarter Bundle, SmarterBundle (incluido) No
Smarter Mail, SmarterMail (incluido) No
ISAPI rewrite No
Smarty Yes
SMF Forum Boards, Forum SMF Yes
SMS Gateway, MMS No
SMTP (incluido) Yes
SOAP PHP Yes
SourceGuardian decoder Yes
SoX Yes
SpamAssassin, spamd Yes
SQLite Yes
Registro DNS tipo SRV (Service Record) Yes
SSH2 (incluido) Versión de Protocolo SSH Yes
SSH Tunnel No
SSL Wrapper stunnel No
Streaming em Flash No
Cliente SVN Subversion Yes
Repositório SVN / CVS No
SWFTOOLS, swf tools No
TomCat No
tmpfs (la configuración requiere de contratación de horas técnicas) No
Trac, TracInstall No
Urchin Stats No
vBulletin Yes
vBSEO No
Vidscript No
Virtual Machine vmware No
Visual Basic Development No
Visual Studio No
VirtualEnv Yes
VNC (usted instala) No
Servidores de comunicación por voz (TeamSpeak / Ventrillo) No
VPN / VPS No
vTiger CRM, sugar CRM
(usted instala y provee licencia)
Yes
WAP Yes
Webalizer (incluido) Yes
Webdav Class 1 Yes
Webdisk Class 1 Yes
Webmail: Horde, SquirrelMail, RoundCube (incluidos) Yes
WHM Yes
Wiki (MediaWiki, PhpWiki ,TWiki) Yes
wildcard SSL, multi-domain SSL Yes
Windows Server 2008 R2 [R1 disponible bajo pedido] (incluso) No
Windows Server 2003 No
Woopra Yes
WordPress (incluido) Yes
WordPress MU Yes
WSGI, mod_wsgi No
X Windows No
XAMPP (El Linux ya tiene LAMP, entonces es probable que usted no necesitara el XAMPP. En los dedicados Windows usted mismo puede instalar el XAMPP.) No
xdebug No
Xen No
XML, xml-rpc Yes
XMPP (usted instala) No
Xoops Yes
XSitePro Yes
xslt Yes
XSSI (extended server side includes) No
Yamdi No
Zend Core No
Zend Framework No
Zend Optimizer 3.3.9 Yes
zip_open Yes
zlib compression Library Yes
Zope/Plone No